package com.ozs.web.filter;

import com.ozs.common.constant.Constants;
import com.ozs.common.core.domain.entity.SysUser;
import com.ozs.common.core.domain.model.LoginUser;
import com.ozs.common.utils.SecurityUtils;
import com.ozs.common.utils.ServletUtils;
import com.ozs.common.utils.ip.AddressUtils;
import com.ozs.common.utils.ip.IpUtils;
import eu.bitwalker.useragentutils.UserAgent;
import lombok.extern.slf4j.Slf4j;
import org.springframework.util.ObjectUtils;

import java.util.Set;


@Slf4j
public class LogOutUtil {

    public static boolean getFlay() {
        Set<String> strings = Constants.map.keySet();
        if (!ObjectUtils.isEmpty(strings)) {
            Long userId = SecurityUtils.getUserId();
            if (!ObjectUtils.isEmpty(userId)) {
                if (userId.equals(Long.parseLong("-1"))) {
                    return true;
                }
            }
        }
        return false;
    }

}
